## git-annex 6.20180112

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 # Work around https://github.com/haskell/cabal/issues/3524
 # when not linked dynamically to haskell libs
 	@if ! ldd git-annex | grep -q libHS; then \
-		chrpath -d git-annex || echo "** unable to chrpath git-annex; it will be a little bit slower than necessary"; \
+		chrpath -d git-annex || echo "** warning: unable to chrpath git-annex; it will be a little bit slower than necessary"; \
 	fi
 
 git-annex-shell: git-annex
@@ -113,7 +113,7 @@
 clean:
 	if [ "$(BUILDER)" != ./Setup ] && [ "$(BUILDER)" != cabal ]; then $(BUILDER) clean; fi
 	rm -rf tmp dist git-annex $(mans) configure  *.tix .hpc \
-		doc/.ikiwiki html dist tags Build/SysConfig.hs \
+		doc/.ikiwiki html dist tags Build/SysConfig \
 		Setup Build/InstallDesktopFile Build/EvilSplicer \
 		Build/Standalone Build/OSXMkLibs Build/LinuxMkLibs \
 		Build/DistributionUpdate Build/BuildVersion Build/MakeMans \
