=== debian/changelog ===
git-annex (6.20180112-2) unstable; urgency=medium

  * Pass --ghc-option=-O1 --ghc-option=-optlo-O2 to cabal-wrapper on armhf
    and armel.  This avoids the build failing due to running out of memory.
    Thanks to Adrian Bunk for help finding the fix.
  * Add quvi->youtube-dl change to changelog for 6.20180112-1.
    Thanks Axel Beckert for noticing the error.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 16 Feb 2018 22:06:55 -0700

git-annex (6.20180112-1) unstable; urgency=medium

  * New upstream release.
    - Update Recommends: quvi -> Recommends: youtube-dl.
  * Adopt package into Debian Haskell Group team maintainership.
    - Move Richard Hartmann to Uploaders.
    - Add myself as an uploader.
    - Point Vcs-* at salsa.
  * Stop copying upstream's changelog entries into the Debian changelog.
    See /usr/share/doc/git-annex/changelog.gz for the upstream changelog.
  * Add gpg-agent to Build-Depends.
    Needed to run the test suite.
  * Restore upstream's (harmless) .gitattributes.
    This means that we can `dgit push{,-source}` without any special options.
  * Update debian/gbp.conf
    - Update packaging branch 'debian' -> 'master'.
    - No longer maintaining an upstream branch.  Instead, invoke `git
      merge` on upstream's release tags directly.  E.g. `git merge
      6.20180112`.
    - Trim some cruft.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 13 Feb 2018 15:02:09 -0700
