=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 	debhelper (>= 9),
 	ghc (>= 7.4),
 	cabal-install,
+	gpg-agent,
 	libghc-mtl-dev (>= 2.1.1),
 	libghc-split-dev,
 	libghc-data-default-dev,
@@ -25,6 +26,7 @@
 	libghc-dlist-dev,
 	libghc-uuid-dev,
 	libghc-aeson-dev,
+	libghc-tagsoup-dev,
 	libghc-unordered-containers-dev,
 	libghc-ifelse-dev,
 	libghc-bloomfilter-dev,
@@ -37,7 +39,6 @@
 	libghc-yesod-core-dev (>= 1.2.19)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
 	libghc-yesod-form-dev (>= 1.3.15)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
 	libghc-yesod-static-dev (>= 1.2.4)  [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
-	libghc-yesod-default-dev (>= 1.2.0) [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
 	libghc-shakespeare-dev (>= 2.0.0)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
 	libghc-clientsession-dev            [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
 	libghc-warp-dev (>= 3.0.0.5)        [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
@@ -88,9 +89,13 @@
 	openssh-client,
 	git-remote-gcrypt (>= 0.20130908-6),
 	chrpath,
-Maintainer: Richard Hartmann <richih@debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Richard Hartmann <richih@debian.org>,
+ Sean Whitton <spwhitton@spwhitton.name>,
 Standards-Version: 3.9.8
-Vcs-Git: git://git.kitenet.net/git-annex
+Vcs-Git: https://salsa.debian.org/haskell-team/git-annex.git/
+Vcs-Browser: https://salsa.debian.org/haskell-team/git-annex
 Homepage: http://git-annex.branchable.com/
 XS-Testsuite: autopkgtest
 
@@ -107,7 +112,7 @@
 	lsof,
 	gnupg,
 	bind9-host,
-	quvi,
+	youtube-dl,
 	git-remote-gcrypt (>= 0.20130908-6),
 	nocache,
 	aria2,
