## git-annex 6.20180227

=== Makefile ===
--- 
+++ 
@@ -34,11 +34,6 @@
 		ln -sf $$(stack path --dist-dir)/build/git-annex/git-annex git-annex; \
 	else \
 		ln -sf dist/build/git-annex/git-annex git-annex; \
-	fi
-# Work around https://github.com/haskell/cabal/issues/3524
-# when not linked dynamically to haskell libs
-	@if ! ldd git-annex | grep -q libHS; then \
-		chrpath -d git-annex || echo "** warning: unable to chrpath git-annex; it will be a little bit slower than necessary"; \
 	fi
 
 git-annex-shell: git-annex
@@ -273,3 +268,13 @@
 		&& mv dist/build/git-annex/git-annex dist/build/git-annex/4.3/git-annex
 	cd tmp/androidtree && $$HOME/.ghc/$(shell cat standalone/android/abiversion)/arm-linux-androideabi/bin/cabal build \
 		--ghc-options=-optl-z --ghc-options=-optlnocopyreloc --ghc-options=-optl-fPIE --ghc-options=-optl-pie --ghc-options=-optc-fPIE --ghc-options=-optc-pie \
+		&& mv dist/build/git-annex/git-annex dist/build/git-annex/5.0/git-annex
+
+androidapp:
+	$(MAKE) android
+	$(MAKE) -C standalone/android
+
+# Bypass cabal, and only run the main ghc --make command for a
+# faster development build.
+fast: dist/cabalbuild
+	@sh dist/cabalbuild
