=== debian/changelog ===
git-annex (6.20180227-1) unstable; urgency=medium

  * New upstream release.
    - Drop chrpath build-dep
    - Add gnupg build-dep
    - Add libghc-vector-dev build-dep
    - Fix upstream's "Breaks: datalad ..." to use '<<' not '<' relation.
  * Patch upstream's OPTIONS_GHC line out of Test.hs.

    That line is not sufficient to prevent the package build running out
    of memory on arm{el,hf} hosts.  This seems to be because ghc memory
    leaks while compiling the files that come before Test.hs.  By the time
    it reaches Test.hs, it will run out of memory no matter how low the
    optimisation of Test.hs is set.

    By contrast, reducing the optimisation of the whole build on
    arm{hf,el}, as introduced in the previous upload, is sufficient to
    avoid the memory leak breaking the build.  Upstream's OPTIONS_GHC line
    clashes with that, so patch out upstream's OPTIONS_GHC line and rely
    on passing options to cabal-wrapper in d/rules.

  * Source package configuration for dgit-maint-merge(7)
    - add d/source/options
    - add d/source/patch-header.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 04 Mar 2018 14:23:47 -0700
