=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 	debhelper (>= 9),
 	ghc (>= 7.4),
 	cabal-install,
-	gpg-agent,
 	libghc-mtl-dev (>= 2.1.1),
 	libghc-split-dev,
 	libghc-data-default-dev,
@@ -79,6 +78,7 @@
 	libghc-mountpoints-dev,
 	libghc-magic-dev,
 	libghc-socks-dev,
+	libghc-vector-dev,
 	lsof [linux-any],
 	ikiwiki,
 	libimage-magick-perl,
@@ -88,7 +88,8 @@
 	curl,
 	openssh-client,
 	git-remote-gcrypt (>= 0.20130908-6),
-	chrpath,
+	gnupg,
+	gpg-agent,
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Richard Hartmann <richih@debian.org>,
@@ -124,6 +125,7 @@
 	tahoe-lafs,
 	libnss-mdns,
 	uftp,
+Breaks: datalad (<< 0.9.1)
 Description: manage files with git, without checking their contents into git
  git-annex allows managing files with git, without checking the file
  contents into git. While that may seem paradoxical, it is useful when
