## git-annex 6.20180427

=== Makefile ===
--- 
+++ 
@@ -261,12 +261,12 @@
 	if [ ! -e tmp/androidtree/dist/setup-config ]; then \
 		cd tmp/androidtree && CROSS_COMPILE=Android $$HOME/.ghc/$(shell cat standalone/android/abiversion)/arm-linux-androideabi/bin/cabal configure -fAndroid $(ANDROID_FLAGS); \
 	fi
-	cd tmp/androidtree && $$HOME/.ghc/$(shell cat standalone/android/abiversion)/arm-linux-androideabi/bin/cabal build \
+	PATH=$(shell standalone/android/toolchainpath 4) cd tmp/androidtree && $$HOME/.ghc/$(shell cat standalone/android/abiversion)/arm-linux-androideabi/bin/cabal build \
 		&& mv dist/build/git-annex/git-annex dist/build/git-annex/4.0/git-annex
-	cd tmp/androidtree && $$HOME/.ghc/$(shell cat standalone/android/abiversion)/arm-linux-androideabi/bin/cabal build \
+	PATH=$(shell standalone/android/toolchainpath 4) cd tmp/androidtree && $$HOME/.ghc/$(shell cat standalone/android/abiversion)/arm-linux-androideabi/bin/cabal build \
 		--ghc-options=-optl-z --ghc-options=-optlnocopyreloc \
 		&& mv dist/build/git-annex/git-annex dist/build/git-annex/4.3/git-annex
-	cd tmp/androidtree && $$HOME/.ghc/$(shell cat standalone/android/abiversion)/arm-linux-androideabi/bin/cabal build \
+	PATH=$(shell standalone/android/toolchainpath 5) cd tmp/androidtree && $$HOME/.ghc/$(shell cat standalone/android/abiversion)/arm-linux-androideabi/bin/cabal build \
 		--ghc-options=-optl-z --ghc-options=-optlnocopyreloc --ghc-options=-optl-fPIE --ghc-options=-optl-pie --ghc-options=-optc-fPIE --ghc-options=-optc-pie \
 		&& mv dist/build/git-annex/git-annex dist/build/git-annex/5.0/git-annex
 
@@ -274,7 +274,3 @@
 	$(MAKE) android
 	$(MAKE) -C standalone/android
 
-# Bypass cabal, and only run the main ghc --make command for a
-# faster development build.
-fast: dist/cabalbuild
-	@sh dist/cabalbuild
