=== debian/changelog ===
git-annex (6.20180427-1) unstable; urgency=medium

  * New upstream release.
    - Drop 'wget' from Depends.
    - Add 'adb' to Suggests.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 28 Apr 2018 22:29:24 -0700

git-annex (6.20180316-1) unstable; urgency=medium

  * New upstream release.
  * Stop passing -optlo-O2 to ghc on arm{hf,el} in d/rules.
    Upstream's git-annex.cabal now handles this.  We still have to pass
    -O1 -- see upstream commit bc1d56bdfd0f513e96c35059d9c32a1bba1539fd.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 20 Mar 2018 20:24:21 -0700
