## git-annex 6.20180509

=== debian/changelog ===
git-annex (6.20180509-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 09 May 2018 16:42:22 -0700
