=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,10 @@
 # compiler/main/DriverPipeline.hs in ghc source
 DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifneq (,$(filter armel,$(DEB_HOST_ARCH)))
-export BUILDEROPTIONS:=$(BUILDEROPTIONS) --ghc-option=-O1 --ghc-option=-optlo-O2
+export BUILDEROPTIONS:=$(BUILDEROPTIONS) --ghc-option=-O1
 endif
 ifneq (,$(filter armhf,$(DEB_HOST_ARCH)))
-export BUILDEROPTIONS:=$(BUILDEROPTIONS) --ghc-option=-O1 --ghc-option=-optlo-O2
+export BUILDEROPTIONS:=$(BUILDEROPTIONS) --ghc-option=-O1
 endif
 
 STANDALONE_BUILD=$(shell grep -qe '^Package: git-annex-standalone' debian/control \
