## git-annex 6.20180626

=== debian/changelog ===
git-annex (6.20180626-2) unstable; urgency=high

  * Drop debian/cabal-wrapper, which should no longer be needed
    (Closes: #902499).
    Thanks Ilias Tsitsimpis for noticing that the wrapper is no longer
    needed.
  * urgency=high because CVE fixes have not yet migrated to testing users.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 28 Jun 2018 13:13:16 +0100

git-annex (6.20180626-1) unstable; urgency=high

  * New upstream release.
    - Fixes CVE-2018-10857
    - Fixes CVE-2018-10859
    See upstream CHANGELOG and NEWS for full details.
  * Patch COPYRIGHT to refer to the MIT license by 'Expat'.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 26 Jun 2018 16:54:59 +0100
