## git-annex 6.20180719

=== debian/changelog ===
git-annex (6.20180719-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 22 Jul 2018 13:20:48 +0800
