## git-annex 6.20180807

=== debian/changelog ===
git-annex (6.20180807-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 10 Aug 2018 13:50:53 +0100
