=== debian/control ===
--- 
+++ 
@@ -84,7 +84,6 @@
 	libimage-magick-perl,
 	git (>= 1:1.8.1),
 	rsync,
-	wget,
 	curl,
 	openssh-client,
 	git-remote-gcrypt (>= 0.20130908-6),
@@ -106,7 +105,6 @@
 Depends: ${misc:Depends}, ${shlibs:Depends},
 	git (>= 1:1.8.1),
 	rsync,
-	wget,
 	curl,
 	openssh-client (>= 1:5.6p1)
 Recommends: 
@@ -120,6 +118,7 @@
 Suggests:
 	xdot,
 	bup,
+	adb,
 	tor,
 	magic-wormhole,
 	tahoe-lafs,
