## git-annex 6.20180913

=== Makefile ===
--- 
+++ 
@@ -108,7 +108,7 @@
 clean:
 	if [ "$(BUILDER)" != ./Setup ] && [ "$(BUILDER)" != cabal ]; then $(BUILDER) clean; fi
 	rm -rf tmp dist git-annex $(mans) configure  *.tix .hpc \
-		doc/.ikiwiki html dist tags Build/SysConfig \
+		doc/.ikiwiki html dist tags Build/SysConfig Build/Version \
 		Setup Build/InstallDesktopFile Build/EvilSplicer \
 		Build/Standalone Build/OSXMkLibs Build/LinuxMkLibs \
 		Build/DistributionUpdate Build/BuildVersion Build/MakeMans \
@@ -160,6 +160,7 @@
 	
 	$(MAKE) install-mans DESTDIR="$(LINUXSTANDALONE_DEST)"
 
+	sha1sum git-annex > "$(LINUXSTANDALONE_DEST)/buildid"
 	cd tmp/git-annex.linux && find . -type f > git-annex.MANIFEST
 	cd tmp/git-annex.linux && find . -type l >> git-annex.MANIFEST
 	cd tmp && tar c git-annex.linux | gzip -9 --rsyncable > git-annex-standalone-$(shell dpkg --print-architecture).tar.gz
@@ -271,6 +272,3 @@
 		&& mv dist/build/git-annex/git-annex dist/build/git-annex/5.0/git-annex
 
 androidapp:
-	$(MAKE) android
-	$(MAKE) -C standalone/android
-
