=== debian/changelog ===
git-annex (6.20180913-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 15 Sep 2018 21:41:05 -0700

git-annex (6.20180913-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 13 Sep 2018 16:55:07 -0700

git-annex (6.20180807-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 24 Aug 2018 06:56:11 -0700

git-annex (6.20180626-1~bpo9+1) stretch-backports; urgency=high

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 26 Jun 2018 16:56:47 +0100

git-annex (6.20180509-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Apply upstream commit 86958fda5d4039621cb632b2b53c7b0628d61152 to fix
    build with older http-client.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 10 May 2018 10:32:50 -0700

git-annex (6.20180427-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 03 May 2018 09:41:45 -0700

git-annex (6.20180316-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 26 Mar 2018 10:32:57 -0700

git-annex (6.20180227-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 10 Mar 2018 08:31:47 -0700

git-annex (6.20180112-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 23 Feb 2018 09:08:21 -0700
