=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	libghc-pcre-light-dev,
 	libghc-cryptonite-dev,
 	libghc-memory-dev,
+	libghc-attoparsec-dev,
 	libghc-sandi-dev,
 	libghc-utf8-string-dev,
 	libghc-aws-dev (>= 0.9.2-2~),
@@ -52,7 +53,6 @@
 	libghc-securemem-dev,
 	libghc-byteable-dev,
 	libghc-stm-chans-dev,
-	libghc-dns-dev,
 	libghc-case-insensitive-dev,
 	libghc-http-types-dev,
 	libghc-http-conduit-dev,
