## git-annex 7.20181211

=== debian/changelog ===
git-annex (7.20181211-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Revert changes in 7.20181121-2 upload in order to build against stretch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 27 Dec 2018 10:08:14 +0000

git-annex (7.20181211-2) unstable; urgency=medium

  * Disable some flaky tests.
    See https://git-annex.branchable.com/todo/test_suite_failures_since_7.20181121/

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 18 Dec 2018 21:54:07 +0000

git-annex (7.20181211-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 12 Dec 2018 14:00:11 -0700

git-annex (7.20181205-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 05 Dec 2018 14:52:08 -0700

git-annex (7.20181121-2) unstable; urgency=medium

  * Drop build-dep on haskell-stm.
  * Build-dep on ghc (>= 8.4.3), with which haskell-stm is now bundled.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 04 Dec 2018 21:25:28 -0700

git-annex (7.20181121-1) unstable; urgency=medium

  * New upstream release.
  * In d/rules, set DEB_HOST_ARCH using the ?= assignment operator.
    See description of Lintian tag debian-rules-sets-dpkg-architecture-variable.
  * Add Lintian overrides:
    - debian-copyright-is-symlink
    - debian-news-entry-has-unknown-version 7.20181031.
  * Move and trim text under "License: Expat or GPL-2" to its own
    "License: GPL-2" stanza to avoid duplicate license definitions in
    COPYRIGHT.
  * Declare compliance with Debian Policy 4.2.1.
    Unfortunately, however, the package does not yet build reproducibly.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 21 Nov 2018 20:38:10 -0700

git-annex (7.20181105-1) unstable; urgency=medium

  * New upstream release (Closes: #909023, #909435).
  * Demote youtube-dl from Recommends to Suggests (Closes: #909434).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 05 Nov 2018 13:01:08 -0700
