## git-annex 7.20190122

=== debian/changelog ===
git-annex (7.20190122-2) unstable; urgency=medium

  * Add 'flaky' restriction to d/tests/control (Closes: #920549).
    Thanks to Paul Gevers for the suggestion.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 26 Jan 2019 21:30:24 -0700

git-annex (7.20190122-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 22 Jan 2019 11:24:41 -0700
